Module jdk.jdi
Package com.sun.jdi

# Class InvalidCodeIndexException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.jdi.InvalidCodeIndexException

All Implemented Interfaces:
  `Serializable`

    @Deprecated
    public class InvalidCodeIndexException
    extends RuntimeException

Deprecated.
This exception is no longer thrown
Thrown to indicate that the requested operation cannot be completed because the specified code index is not valid.

Since:
  1.3
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InvalidCodeIndexException()` | Deprecated.
`InvalidCodeIndexException​(String s)` | Deprecated.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidCodeIndexException

public InvalidCodeIndexException()
Deprecated.

### InvalidCodeIndexException

public InvalidCodeIndexException​(String s)
Deprecated.